/*
 * This program is free software: you can redistribute it and/or modify it under
 * the terms of the GNU General Public License as published by the Free Software
 * Foundation, either version 3 of the License, or (at your option) any later
 * version.
 * 
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU General Public License for more
 * details.
 * 
 * You should have received a copy of the GNU General Public License along with
 * this program. If not, see <http://www.gnu.org/licenses/>.
 */
package net.sf.l2j.gameserver.skills.effects;

import net.sf.l2j.gameserver.datatables.SkillTable;
import net.sf.l2j.gameserver.model.L2Effect;
import net.sf.l2j.gameserver.skills.Env;

/**
 * @author kombat
 */

public final class EffectForce extends L2Effect
{
    public int forces;
    
    public EffectForce(Env env, EffectTemplate template) 
    {
        super(env, template);
        forces = getSkill().getLevel();
    }
    
    @Override
    public boolean onActionTime()
    {
        return true;
    }
    
    @Override
    public EffectType getEffectType()
    {
        return EffectType.BUFF;
    }
    
    public void increaseForce()
    {
        if (forces < 3)
        {
            forces++;
            updateBuff();
        }
    }
    
    public void decreaseForce()
    {
        forces--;
        if (forces < 1)
            exit();
        else
            updateBuff();
    }
    
    private void updateBuff()
    {
        exit();
        SkillTable.getInstance().getInfo(getSkill().getId(), forces).getEffects(getEffector(), getEffected());
    }
}
